Package org.kie.internal.task.api.model

## Interface InternalTask

- All Superinterfaces:
    `java.io.Externalizable`, `java.io.Serializable`, `org.kie.api.task.model.Task`

      public interface InternalTask
      extends org.kie.api.task.model.Task

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Deadlines` | `getDeadlines()` |
    `Delegation` | `getDelegation()` |
    `SubTasksStrategy` | `getSubTaskStrategy()` |
    `void` | `setArchived​(java.lang.Boolean archived)` |
    `void` | `setDeadlines​(Deadlines deadlines)` |
    `void` | `setDelegation​(Delegation delegation)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setDescriptions​(java.util.List<org.kie.api.task.model.I18NText> descriptions)` |
    `void` | `setFormName​(java.lang.String formName)` |
    `void` | `setId​(java.lang.Long id)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setNames​(java.util.List<org.kie.api.task.model.I18NText> names)` |
    `void` | `setPeopleAssignments​(org.kie.api.task.model.PeopleAssignments peopleAssignments)` |
    `void` | `setPriority​(java.lang.Integer priority)` |
    `void` | `setSubject​(java.lang.String subject)` |
    `void` | `setSubjects​(java.util.List<org.kie.api.task.model.I18NText> subjects)` |
    `void` | `setSubTaskStrategy​(SubTasksStrategy subTaskStrategy)` |
    `void` | `setTaskData​(org.kie.api.task.model.TaskData taskData)` |
    `void` | `setTaskType​(java.lang.String taskType)` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

    - ### Methods inherited from interface org.kie.api.task.model.Task

      `getDescription, getDescriptions, getFormName, getId, getName, getNames, getPeopleAssignments, getPriority, getSubject, getSubjects, getTaskData, getTaskType, getVersion, isArchived`

- - ### Method Detail

    - #### setId

          void setId​(java.lang.Long id)

    - #### setArchived

          void setArchived​(java.lang.Boolean archived)

    - #### setPriority

          void setPriority​(java.lang.Integer priority)

    - #### setNames

          void setNames​(java.util.List<org.kie.api.task.model.I18NText> names)

    - #### setFormName

          void setFormName​(java.lang.String formName)

    - #### setSubjects

          void setSubjects​(java.util.List<org.kie.api.task.model.I18NText> subjects)

    - #### setDescriptions

          void setDescriptions​(java.util.List<org.kie.api.task.model.I18NText> descriptions)

    - #### setPeopleAssignments

          void setPeopleAssignments​(org.kie.api.task.model.PeopleAssignments peopleAssignments)

    - #### getDelegation

          Delegation getDelegation()

    - #### setDelegation

          void setDelegation​(Delegation delegation)

    - #### setTaskData

          void setTaskData​(org.kie.api.task.model.TaskData taskData)

    - #### getDeadlines

          Deadlines getDeadlines()

    - #### setDeadlines

          void setDeadlines​(Deadlines deadlines)

    - #### setTaskType

          void setTaskType​(java.lang.String taskType)

    - #### getSubTaskStrategy

          SubTasksStrategy getSubTaskStrategy()

    - #### setSubTaskStrategy

          void setSubTaskStrategy​(SubTasksStrategy subTaskStrategy)

    - #### setName

          void setName​(java.lang.String name)

    - #### setSubject

          void setSubject​(java.lang.String subject)

    - #### setDescription

          void setDescription​(java.lang.String description)